const bitcoin = require('bitcoinjs-lib');

const peercoinNetwork = {
    messagePrefix: '\x19Peercoin Signed Message:\n',
    bip32: {
        public: 0x0488b21e,
        private: 0x0488ade4
    },
    pubKeyHash: 0x37,
    scriptHash: 0x75,
    wif: 0xb7
}

const keyPair = bitcoin.ECPair.makeRandom({
    network: peercoinNetwork
});

console.log(keyPair.toWIF());
console.log(keyPair.getAddress());;
